## glue-schema 2.0.6

=== Makefile ===
NAME= $(shell grep Name: *.spec | sed 's/^[^:]*:[^a-zA-Z]*//' )
VERSION= $(shell grep Version: *.spec | sed 's/^[^:]*:[^0-9]*//' )
RELEASE= $(shell grep Release: *.spec |cut -d"%" -f1 |sed 's/^[^:]*:[^0-9]*//')
build=$(shell pwd)/build
DATE=$(shell date "+%a, %d %b %Y %T %z")

default: 
	@echo "Nothing to do"

install:
	@install -d ${prefix}/etc/ldap/schema
	@install --mode=0644 etc/ldap/schema/*.schema ${prefix}/etc/ldap/schema

dist:
	@mkdir -p  $(build)/$(NAME)-$(VERSION)/
	rsync -HaS --exclude ".svn" --exclude "$(build)" * $(build)/$(NAME)-$(VERSION)/
	cd $(build); tar --gzip -cf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)/; cd -

sources: dist
	cp $(build)/$(NAME)-$(VERSION).tar.gz .

deb: dist
	cd $(build)/$(NAME)-$(VERSION); dpkg-buildpackage -us -uc; cd -

prepare: dist
	@mkdir -p  $(build)/RPMS/noarch
	@mkdir -p  $(build)/SRPMS/
	@mkdir -p  $(build)/SPECS/
	@mkdir -p  $(build)/SOURCES/
	@mkdir -p  $(build)/BUILD/
	cp $(build)/$(NAME)-$(VERSION).tar.gz $(build)/SOURCES 

srpm: prepare
	@rpmbuild -bs --define='_topdir ${build}' $(NAME).spec

rpm: srpm
	@rpmbuild --rebuild  --define='_topdir ${build} ' $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm

clean:
	rm -f *~ $(NAME)-$(VERSION).tar.gz
	rm -rf $(build)

.PHONY: dist srpm rpm sources clean

=== debian/changelog ===
glue-schema (2.0.6-1) unstable; urgency=low

  * New upstream release - 2.0.6
  * Extend package description (Closes: #584641, #584938)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 18 Jun 2010 16:56:04 +0200

glue-schema (2.0.5+732-1) unstable; urgency=low

  * Update - svn revision 732 (Closes: #571731)
  * The license has now changed to Apache 2.0 for all files

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 24 May 2010 18:06:06 +0200

glue-schema (2.0.3+448-1) unstable; urgency=low

  * Update - svn revision 448

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 25 Mar 2010 12:03:23 +0100

glue-schema (2.0.3+442-1) UNRELEASED; urgency=low

  * Updated packaging

 -- Daniel Johansson <daniel@nsc.liu.se>  Thu, 25 Feb 2010 16:50:53 +0100

glue-schema (2.0.3-1) UNRELEASED; urgency=low

  * Initial release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Feb 2010 09:50:57 +0100

=== debian/control ===
Source: glue-schema
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/glue-schema
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/glue-schema

Package: glue-schema
Architecture: all
Depends: ${misc:Depends}
Description: LDAP schema files for the GLUE Schema
 The GLUE specification is an information model for Grid entities such
 as computing clusters and data storage facilities. As a conceptual
 model, it is designed to be independent from the concrete data models
 adopted for its implementation. The specification can be rendered to
 several concrete data models such as XML Schema, LDAP Schema or SQL.
 .
 This package provides LDAP schema files for GLUE Schema version 2.0.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch $@

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) prefix=debian/glue-schema install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
#	:

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r ../glue-schema_2.0.6.orig.tar.gz ] ; then \
	  echo "glue-schema_2.0.6.orig.tar.gz already exists." ; \
	else \
	  if [ -d "glue-schema-2.0.6" ]; then \
	    echo "Please remove existing directory 'glue-schema-2.0.6'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn co http://svnweb.cern.ch/guest/gridinfo/glue-schema/tags/R_2_0_6 \
	    glue-schema-2.0.6 ; \
	  echo "Packing it up." ; \
	  GZIP=-9 tar --exclude=.svn -z -c -f ../glue-schema_2.0.6.orig.tar.gz \
	    glue-schema-2.0.6 ; \
	  echo "Cleaning up." ; \
	  rm -rf glue-schema-2.0.6 ; \
	fi

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## glue-schema 2.0.8

=== debian/changelog ===
glue-schema (2.0.8-1) unstable; urgency=low

  * New upstream release - 2.0.8

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 04 Sep 2011 18:49:16 +0200

glue-schema (2.0.7-1) unstable; urgency=low

  * New upstream release - 2.0.7

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 31 Aug 2011 14:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/glue-schema
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/glue-schema

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch $@

build: build-indep build-arch
	:

build-indep: build-stamp
	:

build-arch: build-stamp
	:

build-stamp: configure-stamp 
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) prefix=debian/glue-schema install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
#	:

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r ../glue-schema_2.0.8.orig.tar.gz ] ; then \
	  echo "glue-schema_2.0.8.orig.tar.gz already exists." ; \
	else \
	  if [ -d "glue-schema-2.0.8" ]; then \
	    echo "Please remove existing directory 'glue-schema-2.0.8'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn co http://svnweb.cern.ch/guest/gridinfo/glue-schema/tags/R_2_0_8 \
	    glue-schema-2.0.8 ; \
	  echo "Packing it up." ; \
	  GZIP=-9 tar --exclude=.svn -z -c -f ../glue-schema_2.0.8.orig.tar.gz \
	    glue-schema-2.0.8 ; \
	  echo "Cleaning up." ; \
	  rm -rf glue-schema-2.0.8 ; \
	fi

.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source

## glue-schema 2.0.10

=== Makefile ===
NAME= $(shell grep Name: *.spec | sed 's/^[^:]*:[^a-zA-Z]*//' )
VERSION= $(shell grep Version: *.spec | sed 's/^[^:]*:[^0-9]*//' )
RELEASE= $(shell grep Release: *.spec |cut -d"%" -f1 |sed 's/^[^:]*:[^0-9]*//')
build=$(shell pwd)/build
DATE=$(shell date "+%a, %d %b %Y %T %z")
dist=$(shell rpm --eval '%dist' | sed 's/%dist*/.el5/')

default: 
	@echo "Nothing to do"

install:
	@install -d ${prefix}/etc/ldap/schema
	@install --mode=0644 etc/ldap/schema/*.schema ${prefix}/etc/ldap/schema

dist:
	@mkdir -p  $(build)/$(NAME)-$(VERSION)/
	rsync -HaS --exclude ".svn" --exclude "$(build)" * $(build)/$(NAME)-$(VERSION)/
	cd $(build); tar --gzip -cf $(NAME)-$(VERSION).src.tgz $(NAME)-$(VERSION)/; cd -

sources: dist
	cp $(build)/$(NAME)-$(VERSION).src.tgz .

deb: dist
	cd $(build)/$(NAME)-$(VERSION); dpkg-buildpackage -us -uc; cd -

prepare: dist
	@mkdir -p  $(build)/RPMS/noarch
	@mkdir -p  $(build)/SRPMS/
	@mkdir -p  $(build)/SPECS/
	@mkdir -p  $(build)/SOURCES/
	@mkdir -p  $(build)/BUILD/
	cp $(build)/$(NAME)-$(VERSION).src.tgz $(build)/SOURCES 

srpm: prepare
	rpmbuild -bs --define="dist ${dist}" --define='_topdir ${build}' $(NAME).spec 

rpm: srpm
	rpmbuild --rebuild  --define='_topdir ${build} ' $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE)${dist}.src.rpm 

clean:
	rm -f *~ $(NAME)-$(VERSION).src.tgz
	rm -rf $(build)

.PHONY: dist srpm rpm sources clean

=== debian/changelog ===
glue-schema (2.0.10-2) unstable; urgency=low

  * Update package description
  * Add Homepage tag

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 28 Jun 2013 18:25:27 +0200

glue-schema (2.0.10-1) unstable; urgency=low

  * New upstream release - 2.0.10

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 14 Mar 2013 13:35:56 +0100

=== debian/control ===
Source: glue-schema
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.4
Homepage: http://forge.ogf.org/sf/projects/glue-wg
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/glue-schema
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/glue-schema

Package: glue-schema
Architecture: all
Depends: ${misc:Depends}
Description: LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema
 The GLUE specification is an information model for Grid entities such
 as computing clusters and data storage facilities. As a conceptual
 model, it is designed to be independent from the concrete data models
 adopted for its implementation. The specification can be rendered to
 several concrete data models such as XML Schema, LDAP Schema or SQL.
 .
 This package provides LDAP schema files for the GLUE 1.3 and GLUE 2.0
 Schema.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch $@

build: build-indep build-arch

build-indep: build-stamp

build-arch:

build-stamp: configure-stamp
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) prefix=debian/glue-schema install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

get-orig-source:
	if [ -r ../glue-schema_2.0.10.orig.tar.gz ] ; then \
	  echo "glue-schema_2.0.10.orig.tar.gz already exists." ; \
	else \
	  if [ -d "glue-schema-2.0.10" ]; then \
	    echo "Please remove existing directory 'glue-schema-2.0.10'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn export http://svnweb.cern.ch/guest/gridinfo/glue-schema/tags/R_2_0_10 \
	    glue-schema-2.0.10 ; \
	  echo "Packing it up." ; \
	  tar -z -c -f ../glue-schema_2.0.10.orig.tar.gz glue-schema-2.0.10 ; \
	  echo "Cleaning up." ; \
	  rm -rf glue-schema-2.0.10 ; \
	fi

.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source

## glue-schema 2.0.11

=== debian/changelog ===
glue-schema (2.0.11-3) unstable; urgency=medium

  * New upstream location on github
  * Convert debian/rules to dh tool
  * Change to debhelper compat level 13

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 18 Dec 2022 22:15:06 +0100

glue-schema (2.0.11-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 15:01:00 +0100

glue-schema (2.0.11-2) unstable; urgency=medium

  * Change Maintainer e-mail (fysast → physics)
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 01 Mar 2018 08:41:36 +0100

glue-schema (2.0.11-1) unstable; urgency=medium

  * New upstream release - 2.0.11

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 14 Oct 2014 15:03:10 +0200

=== debian/control ===
Source: glue-schema
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/EGI-Foundation/glue-schema
Vcs-Browser: https://salsa.debian.org/ellert/glue-schema
Vcs-Git: https://salsa.debian.org/ellert/glue-schema.git

Package: glue-schema
Architecture: all
Depends:
 ${misc:Depends}
Description: LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema
 The GLUE specification is an information model for Grid entities such
 as computing clusters and data storage facilities. As a conceptual
 model, it is designed to be independent from the concrete data models
 adopted for its implementation. The specification can be rendered to
 several concrete data models such as XML Schema, LDAP Schema or SQL.
 .
 This package provides LDAP schema files for the GLUE 1.3 and GLUE 2.0
 Schema.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=debian/glue-schema

## glue-schema 2.1.0

=== Makefile ===
NAME=$(shell grep Name: *.spec | sed 's/^[^:]*:[^a-zA-Z]*//')
VERSION=$(shell grep Version: *.spec | sed 's/^[^:]*:[^0-9]*//')
RELEASE=$(shell grep Release: *.spec | cut -d"%" -f1 | sed 's/^[^:]*:[^0-9]*//')
build=$(shell pwd)/build
DATE=$(shell date "+%a, %d %b %Y %T %z")
dist=$(shell rpm --eval '%dist' | sed 's/%dist/.el5/')

default:
	@echo "Nothing to do"

install:
	@echo installing ...
	@install -d ${prefix}/etc/ldap/schema
	@install --mode=0644 etc/ldap/schema/*.schema ${prefix}/etc/ldap/schema
	@mkdir -p $(prefix)/usr/share/doc/$(NAME)-$(VERSION)/
	@mkdir -p $(prefix)/usr/share/licenses/$(NAME)-$(VERSION)/
	@install -m 0644 README.md $(prefix)/usr/share/doc/$(NAME)-$(VERSION)/
	@install -m 0644 AUTHORS.md $(prefix)/usr/share/doc/$(NAME)-$(VERSION)/
	@install -m 0644 COPYRIGHT $(prefix)/usr/share/licenses/$(NAME)-$(VERSION)/
	@install -m 0644 LICENSE.txt $(prefix)/usr/share/licenses/$(NAME)-$(VERSION)/

dist:
	@mkdir -p  $(build)/$(NAME)-$(VERSION)/
	rsync -HaS --exclude ".git" --exclude "$(build)" * $(build)/$(NAME)-$(VERSION)/
	cd $(build); tar --gzip -cf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)/; cd -

sources: dist
	cp $(build)/$(NAME)-$(VERSION).tar.gz .

deb: dist
	cd $(build)/$(NAME)-$(VERSION); dpkg-buildpackage -us -uc; cd -

prepare: dist
	@mkdir -p  $(build)/RPMS/noarch
	@mkdir -p  $(build)/SRPMS/
	@mkdir -p  $(build)/SPECS/
	@mkdir -p  $(build)/SOURCES/
	@mkdir -p  $(build)/BUILD/
	cp $(build)/$(NAME)-$(VERSION).tar.gz $(build)/SOURCES
	cp $(NAME).spec $(build)/SPECS

srpm: prepare
	rpmbuild -bs --define="dist ${dist}" --define='_topdir ${build}' $(build)/SPECS/$(NAME).spec

rpm: srpm
	rpmbuild --rebuild  --define='_topdir ${build}' --define="dist ${dist}" $(build)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE)${dist}.src.rpm

clean:
	rm -f *~ $(NAME)-$(VERSION).tar.gz
	rm -rf $(build)

.PHONY: dist srpm rpm sources clean

=== debian/changelog ===
glue-schema (2.1.0-1) unstable; urgency=medium

  * New upstream release - 2.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 03 Mar 2023 20:11:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 Package: glue-schema
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=debian/glue-schema
	rm -rf debian/glue-schema/usr/share/doc
	rm -rf debian/glue-schema/usr/share/licenses
